> ## Documentation Index
> Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order Trade (KEYED)

`Applicable for querying contract order trade detail`

#### Request URL

`GET https://cloud-api.wooxpro.com/contract/private/trades`

#### Request Limit

See [Detailed Rate Limit](/english/rate-limit)

#### Request Parameter

> Request

```shell theme={null}
curl -H 'X-API-KEY:{{AccessKey}}'
https://cloud-api.wooxpro.com/contract/private/trades?symbol=BTCUSDT&start_time=1662368173&end_time=1662368179
```

| Field             | Type   | Required? | Description                                           |
| :---------------- | :----- | :-------- | :---------------------------------------------------- |
| symbol            | String | No        | Symbol of the contract(like BTCUSDT)                  |
| account           | String | No        | Trading account <br />-`futures`<br />-`copy_trading` |
| start\_time       | Long   | No        | Start time(Timestamp in Seconds)                      |
| end\_time         | Long   | No        | End time(Timestamp in Seconds)                        |
| order\_id         | Long   | No        | Order ID                                              |
| client\_order\_id | String | No        | Client Order ID                                       |

##### Note

* If the time range `start_time` and `end_time` are not filled in, the default query is the data of the last 7 days
* If the time range is filled in, `end_time` must be greater than the value of `start_time`, and the maximum query interval of `start_time` and `end_time` is 90 days
* Each request returns a maximum of 200 records, and any records exceeding that will not be returned.
* Supported query order types: `limit`, `market`, `liquidate`, `bankruptcy`, `adl`, `trailing`

#### Response Data

> Response

```json theme={null}
{
  "code": 1000,
  "message": "Ok",
  "data": [{
    "order_id": "220921197409432",
    "trade_id": "1141853921",
    "symbol": "BTCUSDT",
    "side": 1,
    "price": "19313.3",
    "vol": "108",
    "exec_type": "Maker",
    "profit": false,
    "realised_profit": "-0.00832",
    "paid_fees": "0",
    "account": "futures",
    "create_time": 1663663818589
  }],
  "trace": "638d5048-ad21-4a4b-9365-d0756fbfc7ba"
}
```

| Field            | Type    | Description                                           |   |
| :--------------- | :------ | :---------------------------------------------------- | - |
| symbol           | String  | Symbol of the contract                                |   |
| order\_id        | String  | Order ID                                              |   |
| trade\_id        | String  | Trade detail ID                                       |   |
| side             | Int     | Order side                                            |   |
| price            | String  | Deal price                                            |   |
| vol              | String  | Deal vol                                              |   |
| profit           | Boolean | Profitable or not                                     |   |
| exec\_type       | String  | Liquidity type <br />-`Taker`<br />-`Maker`           |   |
| realised\_profit | String  | realised profit                                       |   |
| paid\_fees       | String  | paid fees                                             |   |
| account          | String  | Trading account <br />-`futures`<br />-`copy_trading` |   |
| create\_time     | Long    | Transaction create timestamp (ms)                     |   |
